Subject: Re: bug#72268: 31.0.50; Color emoji rendering

From: Visuwesh <[email-masked]>
Date: Wed, 24 Jul 2024 21:51:39 +0530

[புதன் ஜூலை 24, 2024] Robert Pluim wrote:

>>>>>> On Wed, 24 Jul 2024 17:15:44 +0300, Eli Zaretskii <[email-masked]> said:
>
>     >> From: Manuel Giraud <[email-masked]>
>     >> Cc: [email-masked],  [email-masked]
>     >> Date: Wed, 24 Jul 2024 15:48:39 +0200
>     >> 
>     >> > Please show what "C-u C-x =" says when point is on one of these Emoji.
>     >> 
>     >> Here is what I see:
>
>     Eli> Thanks.  Very strange.  Can someone who uses Cairo on GNU/Linux
>     Eli> reproduce this?
>
>     Eli> Cairo 1.18.0 is a recent new major release, maybe it's a problem with
>     Eli> that version?  Does anyone else use it and sees correct color Emoji
>     Eli> display?
>
> My Fedora install uses Cairo 1.18.0, and I see emoji fine in a
> '--with-x-toolkit=no --with-cairo' build. Although thatʼs using
> XWayland, not X11.

I cannot reproduce in --with-x-toolkit=lucid --with-cairo build and
cairo 1.18.0.  Same with --with-x-toolkit=no.  This is in Xorg.